%define major 1
%define libname %mklibname pcap %major
%define develname %mklibname pcap -d

Summary:        A system-independent interface for user-level packet capture
Name:		libpcap
Version:	1.2.1
Release:	1
License:	BSD
Group:		System/Libraries
URL:		http://www.tcpdump.org/
Source0:	http://www.tcpdump.org/release/%{name}-%{version}.tar.gz
Source1:	http://www.tcpdump.org/release/%{name}-%{version}.tar.gz.sig
Patch0:		libpcap-1.2.0-pcap-config_fix.diff
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	libnl-devel
#BuildRequires:	libnl3-devel <- not yet
# for bluetooth/bluetooth.h
BuildRequires:	bluez-devel
Suggests: %name-doc

%description
Libpcap provides a portable framework for low-level network monitoring. Libpcap
can provide network statistics collection, security monitoring and network
debugging.  Since almost every system vendor provides a different interface for
packet capture, the libpcap authors created this system-independent API to ease
in porting and to alleviate the need for several system-dependent packet
capture modules in each application.

%package doc
Summary: Manual pages for %name
Group: Books/Other
BuildArch: noarch
Conflicts: %develname < 1.1.1-3

%description doc
This contains the manual pages documenting %{name}.

%package -n	%{libname}
Summary:	A system-independent interface for user-level packet capture
Group:          System/Libraries
Obsoletes:      %{name} < %{version}-%{release}
Provides:	%{name} = %{version}-%{release}
Provides:       pcap = %{version}-%{release}

%description -n	%{libname}
Libpcap provides a portable framework for low-level network monitoring. Libpcap
can provide network statistics collection, security monitoring and network
debugging.  Since almost every system vendor provides a different interface for
packet capture, the libpcap authors created this system-independent API to ease
in porting and to alleviate the need for several system-dependent packet
capture modules in each application.

%package -n	%{develname}
Summary:	Static library and header files for the pcap library
Group:		Development/C
Requires:	%{libname} >= %{version}-%{release}
Provides:	pcap-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname pcap -d 0}

%description -n	%{develname}
Libpcap provides a portable framework for low-level network monitoring. Libpcap
can provide network statistics collection, security monitoring and network
debugging.  Since almost every system vendor provides a different interface for
packet capture, the libpcap authors created this system-independent API to ease
in porting and to alleviate the need for several system-dependent packet
capture modules in each application.

This package contains the static pcap library and its header files needed to
compile applications such as tcpdump, etc.

%prep

%setup -q -n %{name}-%{version}
%patch0 -p0

%build
export CFLAGS="%{optflags} -fPIC"

%configure2_5x \
    --enable-ipv6 \
    --enable-bluetooth

%make

%install
install -d %{buildroot}%{_bindir}

%makeinstall_std

# install additional headers
install -m0644 pcap-int.h %{buildroot}%{_includedir}/
install -m0644 pcap/bluetooth.h %{buildroot}%{_includedir}/pcap/

# nuke the statis lib
rm -f %{buildroot}%{_libdir}/libpcap.a

%files -n %{libname}
%doc README* CREDITS INSTALL.txt LICENSE
%{_libdir}/libpcap.so.%{major}*

%files doc
%{_mandir}/man?/*

%files -n %{develname}
%doc CHANGES TODO
%{_bindir}/pcap-config
%dir %{_includedir}/pcap
%{_includedir}/pcap/*.h
%{_includedir}/*.h
%{_libdir}/libpcap.so


%changelog
* Tue Jan 10 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.2.1-1
+ Revision: 759358
- version update 1.2.1

* Mon Nov 28 2011 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-1
+ Revision: 734889
- 1.2.0
- fix deps (still needs netfilter headers though?)
- various cleanups
- make pcap-config "arch safe" ;)

  + Matthew Dawkins <mattydaw@mandriva.org>
    - properly commented out patches

* Mon May 02 2011 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-4
+ Revision: 661514
- mass rebuild

* Wed Dec 29 2010 Götz Waschk <waschk@mandriva.org> 1.1.1-3mdv2011.0
+ Revision: 625995
- split out man pages to doc package, some are useful for users (bug #59789)

* Thu Nov 25 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-2mdv2011.0
+ Revision: 601058
- rebuild

* Thu Apr 29 2010 Funda Wang <fwang@mandriva.org> 1.1.1-1mdv2010.1
+ Revision: 540907
- New version 1.1.1

* Mon Apr 05 2010 Emmanuel Andry <eandry@mandriva.org> 1.1.0-1mdv2010.1
+ Revision: 531801
- New version 1.1.0
- drop p1 (fixed differently)
- drop others pacths (merged upstream)

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-8mdv2010.1
+ Revision: 519028
- rebuild

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.0-7mdv2010.0
+ Revision: 425689
- rebuild

* Wed Apr 15 2009 Michael Scherer <misc@mandriva.org> 1.0.0-6mdv2009.1
+ Revision: 367359
- add patch from upstream to be able to dump on usb0 ( ethernet over usb )
  instead of sniffing on usb bus with usbmon.

* Mon Apr 06 2009 Michael Scherer <misc@mandriva.org> 1.0.0-5mdv2009.1
+ Revision: 364476
- add patch 1, from upstream, to fix the handling of -i any on linux

* Thu Dec 18 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-4mdv2009.1
+ Revision: 315592
- bump release
- make it use LDFLAGS (P0)

* Wed Oct 29 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-3mdv2009.1
+ Revision: 298207
- also provide the pcap/bluetooth.h header (duh!)
- enable bluetooth support

* Wed Oct 29 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-1mdv2009.1
+ Revision: 298169
- 1.0.0
- fix devel package naming
- misc spec file fixes

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 0.9.8-3mdv2009.0
+ Revision: 264864
- rebuild early 2009.0 package (before pixel changes)

* Thu Jun 12 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9.8-2mdv2009.0
+ Revision: 218474
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Oct 25 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.8-1mdv2008.1
+ Revision: 102099
- 0.9.8

* Wed Sep 05 2007 David Walluck <walluck@mandriva.org> 0.9.7-2mdv2008.0
+ Revision: 79646
- bump release
- provide pcap = %%{version}-%%{release}
- provide pcap-devel = %%{version}-%%{release}

* Wed Jul 25 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.7-1mdv2008.0
+ Revision: 55564
- 0.9.7

* Wed Jul 25 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.5-4mdv2008.0
+ Revision: 55558
- use the new %%serverbuild macro

* Wed Jun 27 2007 Andreas Hasenack <andreas@mandriva.com> 0.9.5-3mdv2008.0
+ Revision: 45068
- stack-protector is default now, no need to specify it manually

* Fri Jun 22 2007 Andreas Hasenack <andreas@mandriva.com> 0.9.5-2mdv2008.0
+ Revision: 43309
- using -fstack-protector

